#!/bin/sh
#
# SquidGuard Interface version 3.0 for ESSG/SME5
# Copyright (c) Trevor Ouellette, 2001-2002
# 
# This program is FREEWARE.  You may modify and distribute
# the software freely.  However, if you modify it, please
# remember to give credit to the author.
#
echo
echo "SquidGuard Filter Interface version 3.0 (Jan. 16, 2002)"
echo "Copyright (c) Trevor Ouellette, 2001-2002"
echo
echo "Un-Installing SquidGuard RPMs..."


rpm -ev e-smith-squidGuard-dbaggressive
rpm -ev e-smith-squidGuard-dbdrugs
rpm -ev e-smith-squidGuard-dbgambling
rpm -ev e-smith-squidGuard-dbhacking
rpm -ev e-smith-squidGuard-dbporn
rpm -ev e-smith-squidGuard-dbviolence
rpm -ev e-smith-squidGuard-dbwarez
rpm -ev e-smith-squidGuard
rpm -ev e-smith-transproxy
rpm -ev squidGuard
rpm -ev BerkleyDB


#
# Removing default template files
#
rm -Rf /etc/e-smith/templates/usr/local/squidGuard
rm -f /var/log/squidguard.log
rm -Rf /usr/local/squidGuard
rm -f /etc/cron.daily/supdate.cron
rm -f /etc/e-smith/templates-custom/etc/httpd/conf/httpd.conf/90e-smithAccess40sg
rm -f /etc/sudoers
rm -f /home/e-smith/files/primary/cgi-bin/blocked.cgi
rm -Rf /home/e-smith/squidguard
rm -f /etc/e-smith/web/panels/manager/cgi-bin/squidguard
rm -f /etc/e-smith/web/functions/squidguard


echo
echo "Restoring System Settings (this may take a while)..."
/sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
/sbin/e-smith/signal-event console-save


#Edit /etc/rc.local
pico -w /etc/rc.local


echo
echo "SquidGuard Interface 3.0 Un-Installation Complete."
echo "You may reboot your server now."
echo

